> ## Documentation Index
> Fetch the complete documentation index at: https://docs-hosting.axiomesh.io/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getStorageAt

Returns the value from a storage position at a given address

### Body

<ParamField body="id" type="number" placeholder="1">
  Serves as a unique identifier for the request
</ParamField>

<ParamField body="jsonrpc" type="string" placeholder="2.0">
  Indicates the version of JSON-RPC being used
</ParamField>

<ParamField body="method" type="string" placeholder="eth_getStorageAt">
  Represents the name of the remote procedure or method to be called
</ParamField>

<ParamField body="params" type="array">
  Contains the list of parameters passed to the remote method

  <ParamField body="address" type="string">
    A string representing the address (20 bytes) of the code
  </ParamField>

  <ParamField body="storagePosition" type="string">
    A hex code of the position in the storage
  </ParamField>

  <ParamField body="block" type="string">
    A hexadecimal block number, or the string "latest", "earliest" or "pending" or the hash (32 bytes) of a block
  </ParamField>
</ParamField>

### Response

<ResponseField name="id" type="number">
  Returns unique identifier for the request
</ResponseField>

<ResponseField name="jsonrpc" type="string">
  Returns the version of JSON-RPC being used
</ResponseField>

<ResponseField name="storageValue" type="string">
  The value at this storage
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl  'https://rpc1.aries.axiomesh.io' \
  --header 'Content-Type: application/json' \
  --data '{
      "jsonrpc": "2.0",
      "method": "eth_getStorageAt",
      "params": ["0x4cd8ee4fc57c51d8af5b6b6a08cc441f2b4fcbfe","0x0","latest"],
      "id": 1
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "jsonrpc": "2.0",
      "id": 1,
      "result": "0x"
  }
  ```
</ResponseExample>
